/*
 Theme Name:   Kokuyo
 Theme URI:    https://shandykaf.com
 Description:  Cosisoft Child Theme
 Author:       Shandyka Febrian
 Author URI:   https://shandykaf.com
 Template:     kadence
 Version:      1.0.0
 Text Domain:  kadence-child
*/

body,
.main-navigation .primary-menu-container > ul > li > a {
    font-family: "Nunito Sans", sans-serif;
}

.site-container {
    padding: 0;
}

.text-center {
    text-align: center;
}

header.site-header,
.item-is-fixed.item-at-start {
    -webkit-box-shadow: none !important;
    box-shadow: none !important;
}

header.site-header,
.item-is-fixed.item-is-stuck {
    -webkit-box-shadow: 0 0 15px 0 rgba(0, 0, 0, 0.1);
    box-shadow: 0 0 15px 0 rgba(0, 0, 0, 0.1);
}

.header-navigation .menu {
    margin-left: 20px;
}

.main-navigation .primary-menu-container > ul li a,
.header-navigation .header-menu-container ul ul li a {
    color: #313131 !important;
    font-size: 16px !important;
    font-weight: 600 !important;
    text-transform: capitalize !important;
}

.main-navigation .primary-menu-container > ul li a {
    padding-left: calc(1.7em / 2) !important;
    padding-right: calc(1.7em / 2) !important;
}

.header-navigation .header-menu-container ul ul li a {
    color: #ffffff !important;
}

.main-navigation .primary-menu-container > ul li a:hover,
.header-navigation .header-menu-container ul ul li a:hover {
    text-decoration: none;
}

.main-navigation .primary-menu-container > ul li a:hover {
    color: #313131;
}

.site-middle-footer-wrap .site-footer-row-container-inner {
    background-color: #ffffff;
}

.site-middle-footer-wrap .site-middle-footer-inner-wrap {
    grid-template-columns: 1.5fr 0.3fr 2.2fr !important;
}

.site-middle-footer-wrap p,
.site-middle-footer-wrap li {
    font-size: 15px;
    font-weight: normal;
    font-family: "Nunito Sans", sans-serif;
    letter-spacing: 0.01em;
    color: #313131;
}

#colophon .footer-navigation .footer-menu-container > ul > li > a {
    padding-left: calc(1.7em / 2);
    padding-right: calc(1.7em / 2);
    color: #313131 !important;
    font-size: 16px;
    font-weight: 600;
    text-transform: capitalize;
    letter-spacing: normal;
}

#colophon .footer-navigation .footer-menu-container > ul > li:last-child > a {
    padding-right: 0;
}

.site-middle-footer-wrap .widget-title {
    font-family: "Nunito Sans", serif;
    font-size: 20px;
    text-transform: capitalize;
    letter-spacing: 0.5px;
}

.footer-widget3 {
    margin-left: 80px !important;
}

.footer-widget3 ul {
    list-style: none;
    margin: 0;
    padding: 0;
    columns: 2;
    -webkit-columns: 2;
    -moz-columns: 2;
}

.footer-widget4 ul li {
    display: inline-block;
}

.site-bottom-footer-wrap p,
.site-bottom-footer-wrap a {
    font-size: 12px;
    color: #313131;
}

.site-bottom-footer-wrap .footer-html {
    margin: 4px 0;
}

.site-bottom-footer-inner-wrap {
    border-top: 1px solid #dcdcdc;
}

.site-bottom-footer-wrap #menu-copyright-menu {
    float: right;
}

.site-bottom-footer-wrap #menu-copyright-menu li {
    margin-left: 10px;
}

.site-middle-footer-inner-wrap .widget,
.single-product div[class*="-section"] {
	margin-bottom: 0 !important;
}

#footer-menu > li > .sub-menu {
    display: none;
    position: absolute;
    bottom: 100%;
    -webkit-flex-direction: column;
    flex-direction: column;
    background: #fff;
    margin-left: 0;
    box-shadow: 0 2px 13px rgba(0,0,0,0.1);
    z-index: 1000;
    background-color: #1A202C;
}

#footer-menu > li:hover > .sub-menu {
    display: block;    
}
#footer-menu > li > .sub-menu > li {
    border-bottom: 1px solid rgba(255,255,255,0.1);
}

#footer-menu > li > .sub-menu > li > a {
    width: 200px;
    padding-top: 1em;
    padding-bottom: 1em;
    color: var(--global-palette8);
    font-size: 12px;
    color: #ffffff;
    font-size: 16px;
    font-weight: normal;
    text-transform: capitalize;
	border-bottom: 1px solid rgba(255,255,255,0.1);
    color: #ffffff;
    background: #2D3748;
    text-decoration: none
}
#footer-menu > li > .sub-menu > li:last-child > a {
	border-bottom: none;
}

#footer-menu > li > .sub-menu > li > a:hover {
	color: #ffffff;
	background: #2D3748;
}

.social-links {
    position: fixed;
    display: flex;
    bottom: 65px;
    right: 30px;
    z-index: 8888888;
}
  
.social-item {
    flex: 0 0 25%;
    padding: 0 5px;
}
  
.social-item a {
    width: 50px;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 50px;
    border-radius: 100%;
    position: relative;
    text-align: center;
    font-size: 20px;
    transition: all 0.15s ease-in-out;
    box-shadow: 0 10px 20px -10px rgba(0, 0, 0, 0.35);
    text-shadow: 0 2px 5px rgba(20, 113, 34, 0.5);
    outline: none;
    text-decoration: none !important;
    background: #72c8b6;
}

.social-item a i {
    color: #fff;
}

.home .new-product-heading a {
    cursor: none;
}

.home .new-product-heading a:hover {
    color: #FFFFFF !important;
    background-color: #313131 !important;
}

/* BUTTON */

.elementor-button:hover {
    box-shadow: unset !important;
    text-decoration: none !important;
}

.btn-full .elementor-button {
	width: 100%;
}

.space-section .n2-thumbnail-dot img {
	object-fit: contain !important;
}

.space-slider .n2-ss-slider-1 .n2-ss-slide-background[data-public-id="1"] img {
	clip-path: polygon(25% 25px, 27% 0, 29% 25px, 100% 25px, 100% 100%, 0 100%, 0 25px);
}

.space-slider .n2-ss-slider-1 .n2-ss-slide-background[data-public-id="2"] img {
	clip-path: polygon(48% 25px, 50% 0, 52% 25px, 100% 25px, 100% 100%, 0 100%, 0 25px);
}

.space-slider .n2-ss-slider-1 .n2-ss-slide-background[data-public-id="3"] img {
	clip-path: polygon(71% 25px, 73% 0, 75% 25px, 100% 25px, 100% 100%, 0 100%, 0 25px);
}

.space-slider .n2-ss-layer-row-inner .n2-ss-layer {
	padding-top: 25px;
} 

#product-slide .arrow-prev {
    position: absolute;
    left: -50px;
    top: 50%;
    background: none;
    color: #313131;
}

#product-slide .arrow-next {
    position: absolute;
    right: -50px;
    top: 50%;
    background: none;
    color: #313131;
}

#product-slide a {
    background: #ffffff;
    border-radius: 30px;
}

#product-slide a > div {
    height: 480px;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
}

#space-slide .space-content > .space-detail > a:hover,
#product-slide a:hover {
    background: #313131;
    color: #ffffff;
    text-decoration: none;
}

.showroom-row .elementor-column {
	overflow: hidden;
}

.showroom-row .elementor-column-wrap.elementor-element-populated {
	-webkit-transition: all .5s ease !important;
	-moz-transition: all .5s ease !important;
	-ms-transition: all .5s ease !important;
	-o-transition: all .5s ease !important;
	transition: all .5s ease !important;
}

.showroom-row .elementor-column-wrap.elementor-element-populated::before {
	content: "";
	position: absolute;
	top: 0;
	right: 0;
	bottom: 0;
	left: 0;
	background: inherit;
	transition: inherit;
}

.showroom-row .elementor-column-wrap.elementor-element-populated:hover::before {
	-webkit-transform: scale(1.2) !important;
	-moz-transform: scale(1.2) !important;
	-o-transform: scale(1.2) !important;
	-ms-transform: scale(1.2) !important; 
	transform: scale(1.2) !important;
}

/* SLIDER */

div#n2-ss-2 .n2-font-41b14a54571f03f5531c876e8ca211dc-link a {
    transition: all 0.3s;
}

/* BUTTON ACTION */

.button-action {
    position: fixed;
    display: block;
    bottom: 30px;
    z-index: 8888888;
}

.button-action .ba-child a {
    color: #fff;
    width: 50px;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 50px;
    border-radius: 100%;
    position: relative;
    text-align: center;
    font-size: 20px;
    transition: all 0.15s ease-in-out;
    box-shadow: 0 10px 20px -10px rgba(0, 0, 0, 0.35);
    text-shadow: 0 2px 5px rgba(20, 113, 34, 0.5);
    outline: none;
    text-decoration: none !important;
}
.button-action .ba-parent {
    background: #72c8b6;
    color: #ffffff;
    font-size: 15px;
    font-weight: bold;
    font-family: "Nunito Sans";
    padding: 14px 35px 13px 35px;
    display: inline-block;
    border-radius: 30px;
}
.button-action .ba-child a {
    background: #72c8b6;
}
.button-action .ba-parent i,
.button-action .ba-child a i {
    vertical-align: middle;
    z-index: 888;
    display: table-cell;
    transition: all 0.2s ease-in-out;
}
.button-action .ba-child a:hover {
    color: #fff;
}
.button-action .ba-parent {
    z-index: 8888;
    transition: all 0.3s ease-in-out;
}
.button-action:hover .ba-parent {
    cursor: pointer;
}
.button-action:hover .ba-parent {
    transform: scale(0);
    color: #cecece;
    box-shadow: none;
    text-shadow: none;
}
.button-action .ba-child {
    display: block;
    width: max-content;
}
.button-action .ba-child .ba-row {
    display: inline-block;
    position: absolute;
    transition: all 0.2s ease-in-out;
    opacity: 0;
    transform: scale(0);
}
.button-action:hover .ba-child .ba-row,
.button-action:focus .ba-child .ba-row,
.button-action:active .ba-child .ba-row {
    opacity: 1;
    transform: scale(1);
}
.button-action.right {
    right: 30px;
}
.button-action.right .ba-parent {
    float: right;
}
.button-action.right .ba-child .ba-row,
.button-action.right .ba-child {
    right: 0;
}
.button-action.right:hover .ba-parent {
    margin-right: -99px;
}
.button-action.right:hover .ba-child .ba-row:nth-child(2),
.button-action.right:focus .ba-child .ba-row:nth-child(2),
.button-action.right:active .ba-child .ba-row:nth-child(2) {
    right: 50px;
    padding-right: 10px;
    margin-left: 10px;
    opacity: 1;
}
.button-action.right:hover .ba-child .ba-row:nth-child(3),
.button-action.right:focus .ba-child .ba-row:nth-child(3),
.button-action.right:active .ba-child .ba-row:nth-child(3) {
    right: 110px;
    padding-right: 10px;
    opacity: 1;
}
.button-action.right:hover .ba-child .ba-row:nth-child(4),
.button-action.right:focus .ba-child .ba-row:nth-child(4),
.button-action.right:active .ba-child .ba-row:nth-child(4) {
    right: 170px;
    padding-right: 10px;
    opacity: 1;
}
.button-action.right:hover .ba-child .ba-row:nth-child(5),
.button-action.right:focus .ba-child .ba-row:nth-child(5),
.button-action.right:active .ba-child .ba-row:nth-child(5) {
    right: 230px;
    padding-right: 10px;
    opacity: 1;
}

/* CONTACT */
.nf-form-cont .nf-before-form-content, .nf-form-cont .ninja-forms-req-symbol {
    display: none;
}

/* SINGLE PRODUCT */

.single-product .content-container.site-container {
    max-width: none;
}

.single-product .content-area {
	margin-top: 0 !important;	
}

.single-product .container {
    max-width: 1140px;
    margin: auto;
}

.single-product .banner-product { 
    padding : 0; 
    position: relative;
}

.single-product .banner-product .product-detail {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 1;
    text-align: center;
    font-family: "Nunito Sans", Sans-serif;
    font-weight: bold;
}

.single-product .banner-product .product-detail p {
    color: #5F5F5F;
    font-size: 20px;
}

.single-product .banner-product .product-detail h1 {
    color: #313131;
    font-size: 30px;
}

.single-product img.banner-product {
    margin-bottom: 50px;    
	width: 100%;
    height: 450px;
    object-fit: cover;
}

.single-product .row {
	display: flex;
	flex-wrap: wrap;
}

.single-product .row > div {
	padding: 0 15px;
}

.single-product .row > .col {
    flex-basis: 0;
    -webkit-box-flex: 1;
    -ms-flex-positive: 1;
    flex-grow: 1;
    max-width: 100%;
}

.single-product .row > .col-4 {
	flex: 0 0 auto;
	width: 33.33%;
}

.single-product .row > .col-5 {
	flex: 0 0 auto;
	width: 41.666667%;
}

.single-product .row > .col-6 {
	flex: 0 0 auto;
	width: 50%;
}

.single-product .row > .col-7 {
	flex: 0 0 auto;
	width: 58.333333%;
}

.single-product .row > .col-8 {
	flex: 0 0 auto;
	width: 66.66%;
}

.single-product .row > .pr-50 {
    padding-right: 50px;
}

.single-product .row > .pl-50 {
    padding-left: 50px;
}

.single-product .ml-auto {
	margin-left: auto;
}

.single-product .mr-auto {
	margin-right: auto;
}

.single-product .section-award .col-12, .single-product .section-others .col-12 {
    text-align: center;
}

.single-product .section-others {
	background: #F2F2F2 !important;
}

.single-product .section-others .button-other {
	background: #fff;
	display: block;
	width: 70%;
	padding: 30px;
	border-radius: 8px;
	box-shadow: 0px 6px 10px rgba(0, 0, 0, 0.03);
	border: 1px solid #E5EAF4;
	text-decoration: none;
	text-align: center;
	color: #2D3748;
	margin-bottom: 15px;
}

.single-product .section-others .button-other > .button-icon {
	width: 30px;
	margin: 0 auto 15px;
}

.single-product .section-others .button-other > .button-title {
	font-weight: bold
}

.single-product .col-6 img {
    /* height: 350px; */
	width: 100%;
    object-fit: contain;
    object-position: left;
}

.single-product .col-12 {
	/* margin-top: 40px; */
	flex: 0 0 auto;
	width: 100%;
}

.single-product .section-heading {
	color: #002f7c;
	font-family: 'Nunito Sans';
	font-size: 30px;
	font-weight: bold;
	margin-bottom: 20px;
}

.single-product .section-subheading {
	color: #313131;
	width: 50%;
	margin: 0 auto 40px;
}

.single-product p {
	margin: 0;
}

.single-product .section-award .row > .product-name {
    width: 35%;
    flex: 0 0 auto;
}

.single-product .section-award .row > .award-list {
    width: 65%;
    flex: 0 0 auto;
}

.single-product .product-name > img {
    width: 100%;
    height: 150px;
    object-fit: cover;
}

.single-product .section-detail img,
.single-product .section-lineup img {
    margin-bottom: 20px;
}

.single-product .section-detail .col-6,
.single-product .section-lineup .col-6 {
	margin-bottom: 15px;
}

.single-product .entry {
	display: flex;
	align-content: center;
	align-items: center;
}

.single-product .entry .flex-control-thumbs, .single-product .entry .woocommerce-tabs.wc-tabs-wrapper {
    display: none !important;
}

.single-product div[class*="-section"] {
	margin-bottom: 60px;
}

.single-product .section-award, .single-product .section-detail, .single-product .section-feature-image, .single-product .section-dimension {
    padding: 70px 0 !important;
}

.single-product .section-award .award-list {
	display: flex;
}

.single-product .section-award .award-list p {
    height: 100%;
    display: flex;
    align-content: center;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
}

.single-product .section-award .award-list .gallery {
    margin-bottom: 0;
}

.single-product .section-award .award-list .gallery .gallery-item {
    margin: 0;
    padding: 0;
    display: flex;
    flex-wrap: nowrap;
    align-content: center;
    justify-content: center;
    align-items: center;
}

.single-product .section-concept, .single-product .section-feature, .single-product .section-lineup, .single-product .section-others {
    padding: 70px 0;
    background: #eaeaea;
}

.single-product [class^="section-"] .section-icon {
    width: auto;
    height: 75px;
    margin-bottom: 15px;
}

.single-product .button-color-simulation, 
.single-product .button-catalog {
    display: inline-block;
    font-family: "Nunito Sans", Sans-serif;
    font-size: 15px;
    font-weight: bold;
    fill: #313131;
    color: #313131;
    background-color: #FFFFFF;
    border-style: solid;
    border-width: 3px 3px 3px 3px;
    border-color: #E3E3E3;
    border-radius: 30px 30px 30px 30px;
    padding: 17px 35px 15px 35px;
    text-decoration: none;
    line-height: 1;
}

.single-product .button-color-simulation:hover, 
.single-product .button-color-simulation:focus 
.single-product .button-catalog:hover, 
.single-product .button-catalog:focus {
    border-color: #313131;
}

.single-product .color-simulation, 
.single-product table.variations {
    padding: 0 40px;
}

.single-product table.variations .label {
    line-height: 1em !important;
    padding-top: 10px;
}

.single-product table.variations .reset_variations {
    background: #c00014;
    color: #fff;
    padding: 10px;
    display: inline-block;
    line-height: 1;
    text-decoration: none;
    font-weight: bold;
    border-radius: 5px;
}

.single-dimension .gallery {
    width: 100%;
}

.single-product .simulation-button {
    margin-top: 20px;
    text-align: center;
}

.single-product .simulation-button a {
    background: #313131;
    color: #ffffff;
    font-size: 15px;
    font-weight: bold;
    font-family: "Nunito Sans";
    padding: 14px 35px 13px 35px;
    display: inline-block;
    border-radius: 30px;
    text-decoration: none;
}

.single-product .section-concept .n2-ss-slider .n2-ss-slide-background-image img,
.single-product .section-feature .n2-ss-slider .n2-ss-slide-background-image img,
.single-product .section-dimension .n2-ss-slider .n2-ss-slide-background-image img {
    object-fit: contain;
    object-position: center;
}

.single-product .section-concept .row,
.single-product .section-feature .row,
.single-product .section-dimension .row {
    align-items: center;
}

.woocommerce div.product form.cart .woocommerce-variation-add-to-cart {
	display: none;
}

@media only screen and (max-width: 767px) {
    
    #colophon .footer-navigation .footer-menu-container > ul > li:last-child > a {
        padding-right: calc(1.7em / 2);
    }

    /* Home */
    #product-slide a > div {
        height: 120px;
    }
	
	.n2-ss-widget .n2-thumbnail-dot {
		margin: 0 20px !important;
	}
    
    /* Single Product */
    .single-product .row > .col-6 {
        width: 100%;
    }

    .single-product .row > .pr-50 {
        padding-right: 15px;
    }

    .single-product .row > .pl-50 {
        padding-left: 15px;
    }

    .single-product .section-award .product-name,
    .single-product .section-award .award-list {
        width: 100% !important;
    }

    .single-product .section-award .award-list .gallery {
        display: flex !important;
    }

    .single-product .section-award .product-name > img {
        margin: auto;
    }

    .single-product .section-feature .row {
        flex-direction: column-reverse;
    }

    .single-product .entry {
        display: flex;
        flex-direction: column;
    }
	
	.single-product .section-subheading,
	.single-product .section-others .button-other {
		width: 100%;
	}
}